import { Module } from '@nestjs/common';
import { GeoTimezoneFinder } from './adapters/secondaries/geo-timezone-finder';
import { Geodesic } from './adapters/secondaries/geodesic';

@Module({
  providers: [GeoTimezoneFinder, Geodesic],
  exports: [GeoTimezoneFinder, Geodesic],
})
export class GeographyModule {}
