import { MatchQuery } from 'src/modules/matcher/queries/match.query';
import { Candidate } from '../candidate';

export abstract class Selector {
  private matchQuery: MatchQuery;

  constructor(matchQuery: MatchQuery) {
    this.matchQuery = matchQuery;
  }

  abstract select(): Promise<Candidate[]>;
}
